# Deprecated API

## Contents

- Methods
- Constructors

Deprecated Methods
Method
Description
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.JCarosel.add(String, int, int)
This function will be removed, use add(String imageURL) instead.
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.JCarosel.add(String, String, int, int)
This function will be removed, use setNeutralWidth() on JCarousel instead.
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.JCarouselMenu.add(Image, String, int, int)
Use add(Image, String) instead
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.JCarouselMenu.add(String, String, int, int)
Use add(imageURL, label) instead
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.JCarouselMenu.add(Action, int, int)
Use add(imageURL) instead
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.ReflectedImageLabel.setImage(Image)
Please use setRichImage() instead from the RichComponent interface
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.ReflectedImageLabel.setLabel(String)
Use setRichText() instead

Deprecated Constructors
Constructor
Description
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.ReflectedImageLabel(Image, int, int)
This function will be removed, use setNeutralWidth() on JCarousel instead.
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.ReflectedImageLabel(Image, String, int, int)
This function will be removed, use setNeutralWidth() on JCarousel instead.
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.ReflectedImageLabel(String, int, int)
This function will be removed, use setNeutralWidth() on JCarousel instead.
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.ReflectedImageLabel(String, String, int, int)
This function will be removed, use setNeutralWidth() on JCarousel instead.